
From: James Simmons <jsimmons@pentafluge.infradead.org>

Several drivers miss filling in the access_align field.  So this patch has
them fill it in.

Signed-off-by: James Simmons <jsimmons@www.infradead.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/fbmem.c                  |    2 +-
 drivers/video/i810/i810_main.c         |    1 +
 drivers/video/intelfb/intelfbdrv.c     |    1 +
 drivers/video/nvidia/nvidia.c          |    1 +
 drivers/video/riva/fbdev.c             |    1 +
 drivers/video/savage/savagefb_driver.c |    2 +-
 6 files changed, 6 insertions(+), 2 deletions(-)

diff -puN drivers/video/fbmem.c~fbdev-fill-in-the-access_align-field drivers/video/fbmem.c
--- 25/drivers/video/fbmem.c~fbdev-fill-in-the-access_align-field	2005-06-15 17:14:28.000000000 -0700
+++ 25-akpm/drivers/video/fbmem.c	2005-06-15 17:14:28.000000000 -0700
@@ -1034,7 +1034,7 @@ register_framebuffer(struct fb_info *fb_
 			fb_info->pixmap.size = FBPIXMAPSIZE;
 			fb_info->pixmap.buf_align = 1;
 			fb_info->pixmap.scan_align = 1;
-			fb_info->pixmap.access_align = 4;
+			fb_info->pixmap.access_align = 32;
 			fb_info->pixmap.flags = FB_PIXMAP_DEFAULT;
 		}
 	}	
diff -puN drivers/video/i810/i810_main.c~fbdev-fill-in-the-access_align-field drivers/video/i810/i810_main.c
--- 25/drivers/video/i810/i810_main.c~fbdev-fill-in-the-access_align-field	2005-06-15 17:14:28.000000000 -0700
+++ 25-akpm/drivers/video/i810/i810_main.c	2005-06-15 17:14:28.000000000 -0700
@@ -1885,6 +1885,7 @@ static int __devinit i810fb_init_pci (st
 	memset(info->pixmap.addr, 0, 8*1024);
 	info->pixmap.size = 8*1024;
 	info->pixmap.buf_align = 8;
+	info->pixmap.access_align = 32;
 	info->pixmap.flags = FB_PIXMAP_SYSTEM;
 
 	if ((err = i810_allocate_pci_resource(par, entry))) {
diff -puN drivers/video/intelfb/intelfbdrv.c~fbdev-fill-in-the-access_align-field drivers/video/intelfb/intelfbdrv.c
--- 25/drivers/video/intelfb/intelfbdrv.c~fbdev-fill-in-the-access_align-field	2005-06-15 17:14:28.000000000 -0700
+++ 25-akpm/drivers/video/intelfb/intelfbdrv.c	2005-06-15 17:14:28.000000000 -0700
@@ -1091,6 +1091,7 @@ intelfb_set_fbinfo(struct intelfb_info *
 
 	info->pixmap.size = 64*1024;
 	info->pixmap.buf_align = 8;
+	info->pixmap.access_align = 32;
 	info->pixmap.flags = FB_PIXMAP_SYSTEM;
 
 	if (intelfb_init_var(dinfo))
diff -puN drivers/video/nvidia/nvidia.c~fbdev-fill-in-the-access_align-field drivers/video/nvidia/nvidia.c
--- 25/drivers/video/nvidia/nvidia.c~fbdev-fill-in-the-access_align-field	2005-06-15 17:14:28.000000000 -0700
+++ 25-akpm/drivers/video/nvidia/nvidia.c	2005-06-15 17:14:28.000000000 -0700
@@ -1345,6 +1345,7 @@ static int __devinit nvidia_set_fbinfo(s
 
 	info->pixmap.scan_align = 4;
 	info->pixmap.buf_align = 4;
+	info->pixmap.access_align = 32;
 	info->pixmap.size = 8 * 1024;
 	info->pixmap.flags = FB_PIXMAP_SYSTEM;
 
diff -puN drivers/video/riva/fbdev.c~fbdev-fill-in-the-access_align-field drivers/video/riva/fbdev.c
--- 25/drivers/video/riva/fbdev.c~fbdev-fill-in-the-access_align-field	2005-06-15 17:14:28.000000000 -0700
+++ 25-akpm/drivers/video/riva/fbdev.c	2005-06-15 17:14:28.000000000 -0700
@@ -1723,6 +1723,7 @@ static int __devinit riva_set_fbinfo(str
 
 	info->pixmap.size = 8 * 1024;
 	info->pixmap.buf_align = 4;
+	info->pixmap.access_align = 32;
 	info->pixmap.flags = FB_PIXMAP_SYSTEM;
 	info->var.yres_virtual = -1;
 	NVTRACE_LEAVE();
diff -puN drivers/video/savage/savagefb_driver.c~fbdev-fill-in-the-access_align-field drivers/video/savage/savagefb_driver.c
--- 25/drivers/video/savage/savagefb_driver.c~fbdev-fill-in-the-access_align-field	2005-06-15 17:14:28.000000000 -0700
+++ 25-akpm/drivers/video/savage/savagefb_driver.c	2005-06-15 17:14:28.000000000 -0700
@@ -1897,7 +1897,7 @@ static int __devinit savage_init_fb_info
 		info->pixmap.size = 8*1024;
 		info->pixmap.scan_align = 4;
 		info->pixmap.buf_align = 4;
-		info->pixmap.access_align = 4;
+		info->pixmap.access_align = 32;
 
 		fb_alloc_cmap (&info->cmap, NR_PALETTE, 0);
 		info->flags |= FBINFO_HWACCEL_COPYAREA |
_
